Bug 14866 - Нет звука с snd-hda-intel
: Нет звука с snd-hda-intel
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel-modules-alsa-std-def)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-03-12 00:10 by
Modified: 2008-11-21 12:30 (History)


Attachments
Лог загрузки (при populating /dev слышен щелчёк в колонках). (7.28 KB, application/octet-stream)
2008-03-12 00:13, Denis Yagofarov
no flags Details
Лог загрузки (тут тишина) (8.41 KB, application/octet-stream)
2008-03-12 00:13, Denis Yagofarov
no flags Details
Тут вывод lsmod с обоими ядрами (10.00 KB, application/octet-stream)
2008-03-12 00:18, Denis Yagofarov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-03-12 00:10:08
Железо:
MSI MegaBook PR210

00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia
        Subsystem: Micro-Star International Co., Ltd. Device 2fbd
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
        Latency: 64, Cache Line Size: 64 bytes
        Interrupt: pin ? routed to IRQ 16
        Region 0: Memory at fdcf4000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=55mA
PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Kernel driver in use: HDA Intel
        Kernel modules: snd-hda-intel

Кодек

$ cat /proc/asound/card0/codec#* | grep Codec
Codec: Realtek ALC888
Codec: Generic 11c1 ID 1040

Софт:

libalsa-1.0.14a-alt2.1
alsa-oss-1.0.14-alt1
kernel-modules-alsa-std-def-1.0.16-alt1.132632.4 <- тут звука нету
kernel-modules-alsa-std-smp-1.0.14-alt1.132626.12 <- а тут звук есть
------- Comment #1 From 2008-03-12 00:13:08 -------
Created an attachment (id=2491) [details]
Лог загрузки (при populating /dev слышен щелчёк в колонках).
------- Comment #2 From 2008-03-12 00:13:54 -------
Created an attachment (id=2492) [details]
Лог загрузки (тут тишина)
------- Comment #3 From 2008-03-12 00:18:21 -------
Created an attachment (id=2493) [details]
Тут вывод lsmod с обоими ядрами
------- Comment #4 From 2008-03-17 02:28:19 -------
Поставил
alsa-utils-1.0.16-alt1
libalsa-1.0.16-alt1
Выключил, а затем включил все переключатели в kmix. Выставил всё на максимум.
Звук появился. Но при подключении наушников, звук в колонках не пропадает.
Если выключить "Фронт", "PCM", "Наушники" или "Мастер" звук пропадает.
------- Comment #5 From 2008-03-28 10:30:10 -------
Попробуйте обновиться
------- Comment #6 From 2008-03-28 13:37:54 -------
Обновился:
alsa-oss-1.0.15-alt1
libalsa-1.0.15-alt1
kernel-modules-alsa-std-def-1.0.16-alt2.132632.6
libao-alsa-0.8.8-alt1.13239
alsa-utils-1.0.15-alt1
libalsaplayer-0.99.80-alt3

Linux localhost.localdomain 2.6.24-std-def-alt6 #1 SMP Tue Mar 25 18:48:39 MSK
2008 i686 GNU/Linux

Ситуация та же:
- звук есть
- при выключении "Фронт", "PCM", "Наушники" или "Мастер" звук пропадает всюду
- при подключении наушников, звук слышен и из колонок 
------- Comment #7 From 2008-06-13 13:00:39 -------
*** This bug has been confirmed by popular vote. ***
------- Comment #8 From 2008-11-11 19:00:51 -------
а сейчас как?
------- Comment #9 From 2008-11-12 22:13:21 -------
Итак, 2.6.27-std-def-alt1
libao-alsa-0.8.8-alt1.13239
kernel-modules-alsa-std-def-2.6.27-alt1
libalsaplayer-0.99.80-alt7
alsa-utils-1.0.18-alt1
libalsa-1.0.18-alt1
alsa-oss-1.0.17-alt1

cat /etc/modules
snd-hda-intel model=targa-dig

Загрузка:
- звук работает
- при подключении наушниов, колонки отключаются

Впрочем, в kmix:
- отключили-включили "мастер" : включился только левый динамик
- отключили-включили "фронт" : заработали оба, но при подключении наушников,
колонки уже сами не отключаются
- при подключённых наушниках (не перезагружаясь) "фронт" при включении
озвучивает динамики + наушники, при отключении только наушники....

В итоге дощёлкался до того, что в наушниках работает только 1 динамик....
прийдётся перезагружаться.
------- Comment #10 From 2008-11-12 22:17:16 -------
а на alt2 там основное изменение как раз в alsa
------- Comment #11 From 2008-11-16 11:14:40 -------
Теперь остался маленький и не страшный глюк:
- отключаем "Фронт" (звука в колонках нет)
- вставляем наушники (звук в наушниках есть, в колонках нету)
- вытаскиваем наушники - звук появляется в колонках.... при этом выключатель
выключен. При включении ничего не меняется. При выключении - звук отключается.

Т.е. для меня на 2.6.27-alt2 работает.
------- Comment #12 From 2008-11-21 12:30:19 -------
Ну значит fixed